The KMidi Handbook
Prev | Chapter 2. Usage | Next

# 2.8. Command Line Options

Except for giving the names of one or more midi files on the command line, the material in this section is probably not very useful to know about. If you have a need for these options, you'd probably prefer to use the command line version of this program: ``timidity''.

kmidi

  [options] filename [...]

Use "-" as filename to read a MIDI file from stdin

Options:

-o filename

  Place output on filename, which may be a file, device, or HP-UX audio server, depending on the output mode selected with the -O option. The special filename ``-'' causes output to be placed on stdout.

-O mode

  Selects the output mode from the compiled-in alternatives. mode must begin with one of the supported output mode identifiers. Run TiMidity with the -h option to see a list.

-sf

  Set sampling frequency to f (Hz or kHz) Not all sound devices are capable of all frequencies -- an approximate frequency may be selected, depending on the implementation.

-a

  Enable the antialiasing filter. Samples are run through a lowpass filter before playing, which reduces aliasing noise at low resampling frequencies.

-f

  Enable fast decay mode. Toggles fast envelopes. Some MIDI files sound better when notes decay slower -- it gives the impression of reverb.

-pn

  Sets polyphony (maximum number of simultaneous voices).

-An

  Amplify volume by n percent (may cause clipping)

-Cn

  Sets the ratio of sampling and control frequencies. This determines how often envelopes are recalculated -- small ratios yield better quality but use more CPU time.

-E

  Turns on Witczak's effect filters for chorus, reverb, phaser, and celeste.

-#n

  Select patch set

-L dir

  Append dir to search path

-c file

  Read extra configuration file

-In

  Use program n as the default

-P

  file Use patch file for all programs

-Dn

  Play drums on channel n

-Qn

  Ignore channel n

-F

  Enable fast panning

-U

  Unload instruments from memory between MIDI files

-i mode

  Select user interface (see below for list)

-Bn

  Set number of buffer fragments

-h

  Display this help message

Available output modes (-O option):

-Od

  Linux dsp device

-Ow

  RIFF WAVE file

-Or

  raw waveform data

Output format options (append to -O? option):

`8'

  8-bit sample width

`1'

  16-bit sample width

`U'

  uLaw encoding

`l'

  linear encoding

`M'

  monophonic

`S'

  stereo

`s'

  signed output

`u'

  unsigned output

`x'

  byte-swapped output

Available interfaces (-i option):

-iq

  kmidi qt interface

-id

  dumb interface

Interface options (append to -i? option):

`v'

  more verbose (cumulative)

`q'

  quieter (cumulative)

`t'

  trace playing

-i

  mode Select user interface (see below for list)

-Bn

  Set number of buffer fragments

-h

  Display this help message

Prev | Home | Next
Effects | Up | Questions and Answers